package it.micegroup.gestioneferie.libs.controller;

import it.micegroup.voila2runtime.controller.GenericController;

import it.micegroup.gestioneferie.libs.response.BaseResponse;
import org.springframework.http.ResponseEntity;

/**
 * Generic class for controllers
 *
 */
public abstract class BaseController<T> extends GenericController {
	/**
	 * Authority constant
	 */
	protected static final String AUTH = "hasPrivilege";

	/**
	* Application name
	*/
	protected static final String APPLICATION_NAME = "gestioneferie";

public abstract ResponseEntity<T> getByObjectKey(String objectKey);

	public ResponseEntity<byte[]> generateJasperReportPdf(byte[] pdfReport) {
		return super.genJasperReportPdf(pdfReport);
	}
	public ResponseEntity<byte[]> generateJasperReportXls(byte[] xlsReport) {
		return super.genJasperReportXls(xlsReport);
	}}
